.register {
  height: 100%;
  width: 100%;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}
.register__background {
  z-index: 1;
  height: 100%;
  width: 100%;
  position: absolute;
  opacity: 1;
  background: radial-gradient(circle, transparent 20%, var(--purple-10) 20%, var(--purple-10) 80%, transparent 80%, transparent), radial-gradient(circle, transparent 20%, var(--purple-10) 20%, var(--purple-10) 80%, transparent 80%, transparent) 17.5px 17.5px, linear-gradient(var(--purple-20) 1.4px, transparent 1.4px) 0 -0.7px, linear-gradient(90deg, var(--purple-20) 1.4px, var(--purple-10) 1.4px) -0.7px 0;
  background-size: 35px 35px, 35px 35px, 17.5px 17.5px, 17.5px 17.5px;
}
.register__content {
  display: block;
  z-index: 2;
  height: 100%;
  width: 550px;
  background-color: var(--white);
  position: relative;
}
.register__content__container {
  padding-top: 196px;
  padding-left: 120px;
}
.register__header {
  all: unset;
  display: block;
  position: absolute;
  top: 38px;
  left: 48px;
  cursor: pointer;
}
.register__header__separator {
  margin-left: 12px;
  margin-right: 12px;
  display: inline-block;
  transform: translateY(8px);
  height: 44px;
  border-right: 1px solid var(--black);
}
.register__header__text {
  font-weight: 700;
  font-size: 36px;
  color: var(--purple-60);
}
.register__title {
  font-weight: 700;
  font-size: 36px;
  color: var(--black);
}
.register__subtitle {
  padding-top: 32px;
  font-weight: 500;
  font-size: 16px;
  color: var(--grey-70);
}
.register__form {
  all: unset;
  display: block;
  padding-top: 56px;
  width: 310px;
}
.register__form__input__label {
  display: block;
  font-weight: 700;
  font-size: 14px;
  padding-bottom: 4px;
  color: var(--black);
}
.register__form__input__element {
  height: 40px;
  width: 100%;
  border: 1px solid var(--grey-20) !important;
  transition: border-color 0.3s ease-in;
}
.register__form__input.password {
  padding-top: 27px;
}
.register__form__submit {
  all: unset;
  margin-top: 68px;
  font-weight: 500;
  background-color: var(--purple-60);
  color: var(--white);
  padding: 8px 16px;
  border-radius: 4px;
  margin-left: 50%;
  transform: translateX(-50%);
  user-select: none;
  cursor: pointer;
  transition: all 0.1s ease-in-out;
}
.register__form__submit:hover {
  background-color: var(--purple-80);
}
.register__form__submit:active {
  background-color: var(--purple-80);
  box-shadow: rgba(5, 2, 27, 0.26) 0px 2px 3px 0px !important;
}
.register__signup {
  padding-top: 40px;
  margin-left: 50%;
  transform: translateX(-50%);
  width: max-content;
}
.register__signup__content {
  color: var(--grey-50);
  font-weight: 500;
  font-size: 16px;
}
.register__signup__link {
  all: unset;
  display: inline-block;
  font-weight: 700;
  font-size: 16px;
  color: var(--purple-50);
  cursor: pointer;
}
